package com.chinacreator.video.bean;

import com.chinacreator.video.restful.util.RequestUtil;


public class OrderLog
{
  private String userid;
  private String cpid;
  private String spid;
  private String orderstatus;
  private String errorcode;
  private String errorinfo;
  private String origin;
  private int status;
  private String channel;
  private String province;
  private String area;
  private int isexperience = 0;
  private String apptype;
  private String ordertype;
  private String useragent;
  private String times;
  
  public String getTimes() {
	return times;
}
public void setTimes(String times) {
	this.times = times;
}
public String getUserid()
  {
    return this.userid;
  }
  public String getCpid() {
    return this.cpid;
  }
  public String getSpid() {
    return this.spid;
  }
  public String getOrderstatus() {
    return this.orderstatus;
  }
  public String getErrorcode() {
    return this.errorcode;
  }
  public String getErrorinfo() {
    return this.errorinfo;
  }
  public void setUserid(String userid) {
    this.userid = userid;
  }
  public void setCpid(String cpid) {
    this.cpid = cpid;
  }
  public void setSpid(String spid) {
    this.spid = spid;
  }
  public void setOrderstatus(String orderstatus) {
    this.orderstatus = orderstatus;
  }
  public void setErrorcode(String errorcode) {
    this.errorcode = errorcode;
  }
  public void setErrorinfo(String errorinfo) {
    this.errorinfo = errorinfo;
  }
  public String getOrigin() {
    return this.origin;
  }
  public void setOrigin(String origin) {
    this.origin = origin;
  }
  public String getIp() {
    return RequestUtil.getHostIp();
  }
  public int getStatus() {
    return this.status;
  }
  public String getChannel() {
    return this.channel;
  }
  public void setStatus(int status) {
    this.status = status;
  }
  public void setChannel(String channel) {
    this.channel = channel;
  }
  public String getProvince() {
    return this.province;
  }
  public void setProvince(String province) {
    this.province = province;
  }
  public String getArea() {
    return this.area;
  }
  public void setArea(String area) {
    this.area = area;
  }
  public int getIsexperience() {
    return this.isexperience;
  }
  public String getApptype() {
    return this.apptype;
  }
  public String getOrdertype() {
    return this.ordertype;
  }
  public String getUseragent() {
    return this.useragent;
  }
  public void setIsexperience(int isexperience) {
    this.isexperience = isexperience;
  }
  public void setApptype(String apptype) {
    this.apptype = apptype;
  }
  public void setOrdertype(String ordertype) {
    this.ordertype = ordertype;
  }
  public void setUseragent(String useragent) {
    this.useragent = useragent;
  }
}